<?php
/**
 * Plugin Messages (addon for plugin Adm_redacteurs)
 * Version  : 1.4 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00 et Adm_redacteurs v6.14+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

require ADMR_CORE_PATH.'/admin_manage_docs_controller.php';

class Admin_manage_messages_controller extends Admin_manage_docs_controller
{
    /*
    |--------------------------------------------------------------------------
    | Properties
    |--------------------------------------------------------------------------
    */
    protected $_lang = array();         // Données de langue
    protected $_config = array();       // Données de configuration
    protected $_params = array();       // Données récupérés par post ou get
    protected $_writer_rights = array(); // Droits du rédacteur

    protected $_doc_infos = array('name' => 'messages_receveid', 'type' => 'msg'); // Tableau contenant les informations du document (nom, type)
    protected $_addon = 'messages'; // Nom de l'addon
         
    /*
    |--------------------------------------------------------------------------
    | Constructor
    |--------------------------------------------------------------------------
    */    
    public function __construct()
    {        
        parent :: __construct($this -> _doc_infos, $this -> _addon);
    }

    /*
    |--------------------------------------------------------------------------
    | Methods
    |--------------------------------------------------------------------------
    */
    public function index()
    {
        return parent :: index();
    }

	// --------------------------------------------------------------------

    /**
     * Définit le contenu des informations du plugin qui sont affichées en bas de la page
     *
     * @return array Tableau contenant les informations du plugin sous la forme array('version' => , 'licence' => )
     */
    protected function _set_infos_plugin()
    {
        return $this -> {'manage_'.$this -> _doc_infos['name'].'_helper'} -> set_infos_plugin();
    }

	// --------------------------------------------------------------------

} //End of Class