<?php
/**
 * Plugin Messages (addon for plugin Adm_redacteurs)
 * Version  : 1.4 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00 et Adm_redacteurs v6.14+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */
defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>
<div class="search_by_filters">
<h4><?php echo ucfirst($lang['search_'.$doc_infos['name']]); ?></h4>
<form id="search_by_filters" action="<?php echo $form_uri; ?>#z2" method="post">
<input type="hidden" name="sort" value="<?php echo $sort; ?>" />
<?php foreach(array('received','sent') as $key => $msg_type) : ?>
<fieldset class="secondary category">
    <legend><?php echo ucfirst($lang['select_'.$doc_infos['name'].'_'.$msg_type.'_to_search']); ?></legend>   
    <!-- Sélection de tous les documents -->
    <p>
    <input value="<?php echo $key; ?>" name="filter" id="filter_<?php echo $key; ?>" type="radio" <?php echo empty($key) ? 'checked="checked"' : ''; ?> />
    <label title="<?php echo $lang['search_all_'.$doc_infos['name'].'_'.$msg_type]; ?>" for="filter_<?php echo $key; ?>"><?php echo ucfirst($lang['search_all_'.$doc_infos['name'].'_'.$msg_type]); ?></label>
    <input type="submit" name="search" value="<?php echo ucfirst($lang['label_button_display']); ?>" />
    </p>
    <!-- Sélection par id des documents -->
    <p>
    <input value="<?php echo ($key+2); ?>" name="filter" id="filter_<?php echo ($key+2); ?>" type="radio" />
    <label title="<?php echo $lang['search_following_'.$doc_infos['name'].'_'.$msg_type]; ?>" for="filter_<?php echo ($key+2); ?>"><?php echo ucfirst($lang['search_following_'.$doc_infos['name'].'_'.$msg_type]); ?>&nbsp;:&nbsp;</label>
    <?php if ($msg_type == 'received') : ?>
        <select name="msg_received_ids[]" id="msg_received_ids" multiple="multiple" size="4">
    <?php else : ?>
        <select name="msg_sent_ids[]" id="msg_sent_ids" multiple="multiple" size="4">
    <?php endif; ?>
    <?php if (empty(${'writer_messages_'.$msg_type})) : ?>
    <option value="">(vide)</option>
    <?php endif; ?>
    <?php foreach(${'writer_messages_'.$msg_type} as $doc) : ?>
    <option value="<?php echo htmlspecialchars($doc['id']); ?>"><?php echo strip_tags($doc['id'].' : '.$doc['heading']); ?></option>
    <?php endforeach; ?>
    </select>
    <input type="submit" name="search" value="<?php echo ucfirst($lang['label_button_display']); ?>" />
    </p>
    <!-- Sélection par id des rédacteurs des documents -->
    <p>
    <input value="<?php echo ($key+4); ?>" name="filter" id="filter_<?php echo ($key+4); ?>" type="radio" />
    <label title="<?php echo $lang['search_'.$doc_infos['name'].'_'.$msg_type.'_by_following_writers']; ?>" for="filter_<?php echo ($key+4); ?>"><?php echo ucfirst($lang['search_'.$doc_infos['name'].'_'.$msg_type.'_by_following_writers']); ?>&nbsp;:&nbsp;</label>
    <?php if ($msg_type == 'received') : ?>
        <select name="author_ids[]" id="author_ids" multiple="multiple" size="4">
    <?php else : ?>
        <select name="receiver_ids[]" id="receiver_ids" multiple="multiple" size="4">
    <?php endif; ?>
    <?php if (!ADMR_IS_ADMIN) : ?>
        <optgroup label="<?php echo $lang['administrator']; ?>">
        <option value="0"><?php echo $config['user'][0]; ?></option>    
        </optgroup>
        <optgroup label="<?php echo $lang['writers']; ?>">
    <?php endif; ?>    
    <?php if (empty(${'writers_for_messages_'.$msg_type})) : ?>
    <option value="">(vide)</option>
    <?php endif; ?>
    <?php foreach(${'writers_for_messages_'.$msg_type} as $writer) : ?>
    <option value="<?php echo htmlspecialchars($writer['id']); ?>"><?php echo strip_tags($writer['name']); ?></option>
    <?php endforeach; ?>
    <?php if (!ADMR_IS_ADMIN) : ?>
        </optgroup>
    <?php endif; ?> 
    </select>
    <input type="submit" name="search" value="<?php echo ucfirst($lang['label_button_display']); ?>" />
    </p>
</fieldset>
<?php endforeach; ?>
</form>
</div>